<?php

class Smartcart_Get_Metadata
{

    private $wpdb;
    private $helpers;
    private $log;
    private $jsonService;

    public function __construct()
    {
        $this->helpers = new Smartcart_Helpers;
        $this->log = new Smartcart_Logs();
        $this->jsonService = new Json();

        global $wpdb;
        $this->wpdb = $wpdb;
    }

    /**
     * @throws ErrorException
     * @throws Exception
     */
    public function request($request)
    {
        $this->validateRequest();

        $offset = $request->get_params()['offset'] ?? 0;
        $limit = $request->get_params()['limit'] ?? -1;

        $posts = get_posts(['post_type' => ['post', 'page'], 'numberposts' => $limit, 'offset' => $offset]);

        if (empty($posts)) {
            return [];
        }

        $data = [];
        foreach ($posts as $post) {
            $metaData = get_post_meta($post->ID);
            foreach ($metaData as $key => $value) {
                $data[$key] = get_post_meta($post->ID, $key, true);
            }
        }
        $this->jsonService->setJson($data);
        return $this->jsonService->getKeys();
    }

    /**
     * @throws ErrorException
     */
    private function validateRequest()
    {
        if (!function_exists('icl_object_id')) {
            throw new ErrorException("WPML plugin is not installed or activated. SmartCat Connector is not active", 404);
        }
    }
}