<?php

class Smartcart_Status
{
    private $disableSercretVerificaton = true;
    private $log;
    private $helpers;
    private $wpdb;

    public function __construct()
    {
        $this->helpers = new Smartcart_Helpers;
        $this->log = new Smartcart_Logs();

        global $wpdb;
        $this->wpdb = $wpdb;
    }

    /**
     * @throws Exception
     */
    public function request($request)
    {
        $requestSecret = $request->get_headers()["x_smartcat_secret"][0] ?? NULL;
        return [
            "pluginVersion" => SMARTCAT_INTEGRATION_VERSION,
            "locales" => $this->getActiveLanguages(),
            "secretKeyIsValid" => $requestSecret === get_option("smartcat_wpml_secret"),
            "friendlyUrlEnabled" => !empty(get_option("permalink_structure")),
            "wpmlInstalled" => function_exists('icl_object_id'),
            "acfInstalled" => class_exists('ACF')
        ];
    }

    private function getActiveLanguages(): array
    {
        $languages = apply_filters("wpml_active_languages", NULL);
        if (is_null($languages) || empty($languages)) {
            return [];
        }
        $locales = [];
        foreach ($languages as $language) {
            $locales[] = $language["language_code"];
        }
        return $locales;
    }

}