<?php

/**
 * Plugin Name:       Smartcat Integration for WPML
 * Plugin URI:        https://smartcat.com
 * Description:       Smartcat Integration Add-on allows you to synchronize your site content for localization with Smartcat
 * Version:           1.4.0
 * Author:            Smartcat
 * Author URI:        #
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       smartcat-wpml
 * Domain Path:       /languages
 */

__("Smartcat Integration Add-on allows you to synchronize your site content for localization with Smartcat", "smartcat-wpml");

if (!defined('WPINC')) {
    die;
}

define('SMARTCAT_INTEGRATION_VERSION', '1.4.0');

// dd
//require_once __DIR__ . '/../../../vendor/autoload.php';
//require_once __DIR__ . '/../../../vendor/larapack/dd/src/helper.php';

require_once ABSPATH . '/wp-admin/includes/taxonomy.php';

require_once plugin_dir_path(__FILE__) . 'includes/Json/Json.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-migrations.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-logs.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-helpers.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-pull.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-pull-categories.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-push.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-push-categories.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-languages.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-get-posts.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-import.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-status.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-source-posts-handler.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-acf-helper.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-all-posts.php';
require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-get-metadata.php';

function activate_smartcat_integration_add_on()
{
    require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-activator.php';
    Smartcat_Integration_Hub_Activator::activate();
}

function deactivate_smartcat_integration_add_on()
{
    require_once plugin_dir_path(__FILE__) . 'includes/smartcat-wpml-deactivator.php';
    Smartcat_Integration_Hub_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_smartcat_integration_add_on');
register_deactivation_hook(__FILE__, 'deactivate_smartcat_integration_add_on');

require plugin_dir_path(__FILE__) . 'includes/smartcat-wpml.php';

function run_plugin_name()
{
    $plugin = new Smartcat_Integration_Hub();
    $plugin->run();
}

run_plugin_name();